<?php

use Illuminate\Support\Facades\Broadcast;

Broadcast::channel('waiting-room.{tenantId}', function ($user, $tenantId) {
    // السماح فقط للمستخدمين اللي tenant_id ديالهم مطابق
    return (int) $user->tenant_id === (int) $tenantId;
});

Broadcast::channel('Display.{tenantId}', function ($user, $tenantId) {
    return (int) $user->tenant_id === (int) $tenantId;
});



